> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemoonshine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Index

> Deletes an existing media index/group



## OpenAPI

````yaml GET /delete-index
openapi: 3.0.1
info:
  title: Moonshine API
  description: Video Understanding API
  version: 1.0.0
servers:
  - url: https://api.usemoonshine.com
security: []
paths:
  /delete-index:
    get:
      description: Deletes an existing media index/group
      parameters:
        - name: token
          in: query
          description: Authentication token for the operation
          required: true
          schema:
            type: string
        - name: index
          in: query
          description: Index identifier for the media group to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Delete operation response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the delete operation
                    enum:
                      - Media group has been deleted
                      - Media group could not be deleted
                      - error
                  error:
                    type: string
                    description: Error message when status is error
                    enum:
                      - invalid token
                      - project does not exist
              examples:
                successResponse:
                  value:
                    status: Media group has been deleted
                failureResponse:
                  value:
                    status: Media group could not be deleted
                invalidTokenError:
                  value:
                    status: error
                    error: invalid token
                nonExistentProjectError:
                  value:
                    status: error
                    error: project does not exist
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````